List Files
curl --request GET \
--url https://api.minimax.io/v1/files/list \
--header 'Authorization: Bearer <token>'{
"files": [
{
"file_id": "${file_id}",
"bytes": 5896337,
"created_at": 1699964873,
"filename": "297990555456011.tar",
"purpose": "t2a_async_input"
},
{
"file_id": "${file_id}",
"bytes": 5896337,
"created_at": 1700469398,
"filename": "297990555456911.tar",
"purpose": "t2a_async_input"
}
],
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}File Management
List Files
List files on the MiniMax API Platform.
GET
/
v1
/
files
/
list
List Files
curl --request GET \
--url https://api.minimax.io/v1/files/list \
--header 'Authorization: Bearer <token>'{
"files": [
{
"file_id": "${file_id}",
"bytes": 5896337,
"created_at": 1699964873,
"filename": "297990555456011.tar",
"purpose": "t2a_async_input"
},
{
"file_id": "${file_id}",
"bytes": 5896337,
"created_at": 1700469398,
"filename": "297990555456911.tar",
"purpose": "t2a_async_input"
}
],
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, can be found in Account Management>API Keys.
Query Parameters
The purpose category of the files to list. The values and supported formats are as follows:
- voice_clone: For quick cloning of the original voice file (supports mp3, m4a, wav formats).
- prompt_audio: Sample audio for voice cloning (supports mp3, m4a, wav formats).
- t2a_async_input: Text file in the request body for asynchronous long-text-to-speech synthesis (supports txt, zip formats).
Available options:
voice_clone, prompt_audio, t2a_async_input Example:
"t2a_async_input"
⌘I